Package org.optaplanner.core.impl.score.stream.bavet.tri

## Class BavetFilterTriTuple<A,​B,​C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriTuple<A,​B,​C>
    - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetFilterTriTuple<A,​B,​C>

- All Implemented Interfaces:
    `BavetTuple`

      public final class BavetFilterTriTuple<A,​B,​C>
      extends BavetAbstractTriTuple<A,​B,​C>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<BavetAbstractTriTuple<A,​B,​C>>` | `childTupleList` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetFilterTriTuple​(BavetFilterTriNode<A,​B,​C> node, BavetAbstractTriTuple<A,​B,​C> parentTuple)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<BavetAbstractTriTuple<A,​B,​C>>` | `getChildTupleList()` |
    `A` | `getFactA()` |
    `B` | `getFactB()` |
    `C` | `getFactC()` |
    `BavetFilterTriNode<A,​B,​C>` | `getNode()` |
    `void` | `refresh()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeOrder, getState, isActive, isDirty, refreshed, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Field Detail

    - #### childTupleList

          protected List<BavetAbstractTriTuple<A,​B,​C>> childTupleList

  - ### Constructor Detail

    - #### BavetFilterTriTuple

          public BavetFilterTriTuple​(BavetFilterTriNode<A,​B,​C> node,
                                     BavetAbstractTriTuple<A,​B,​C> parentTuple)

  - ### Method Detail

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `BavetAbstractTuple`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetFilterTriNode<A,​B,​C> getNode()

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getFactB

          public B getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getFactC

          public C getFactC()

      Specified by:
        `getFactC` in class `BavetAbstractTriTuple<A,​B,​C>`

    - #### getChildTupleList

          public List<BavetAbstractTriTuple<A,​B,​C>> getChildTupleList()